mb-applet-launcher(1)

NAME
mb-applet-launcher - an application launcher panel applet

SYNOPSIS
mb-applet-launcher [options] [action] image_file application

DESCRIPTION
mb-applet-launcher is a panel applet which can be used to start a given application. The applet displays the PNG or XPM file given on the command line as an icon, and when the user clicks on the icon the application is started.

Matchbox is a base environment for the X Window System running on non-desktop embedded platforms such as handhelds, set-top boxes, kiosks and anything else for which screen space, input mechanisms or system resources are limited.

OPTIONS

-display display
    X display to connect to

--title title

--no-animation
    Disable any animations

--start, -s
    Start application immediately

The default action is to iconize/uniconize the selected application. Other actions can be specified as command-line options:

--kill, -k
    Destroy the application

--respawn, -l
    Respawn multiple instances of the application

--message, -m
    Display output from the application as a message from the panel

Alternatively, a valid .desktop file can be given:

--desktop .desktop_file
    Any actions given with this option will have no effect. Similar behaviour can be achieved by including a `SingleInstance=True' key pair in the .desktop file.

AUTHOR
mb-applet-launcher was written by Matthew Allum <mallum@o-hand.com>.